#!/bin/csh
setenv a "set_axiom([r,"
setenv b "])."
cd qoq; rm -f *.dfg
cd ../template

foreach f ( \
 '4' '4^2' '4^3' '5' 'T' 'aiml02_prop3iii' 'amai02' 'amai02b' 'bbp,dddd(q,dnp)' 'bp,dddnp,g' 'bp,ddnp,g' \
 'bq,dddddddnq' 'bq,dddddnq' 'ddddddnq,dp,bbp' 'dddddnq,bbbq' 'ddddnq,b(q,g)' 'ddddnq,bbp' 'ddddnq,bq' 'ddddnq,bq' 'dddnq,bq' \
 'ddddnq,dp,bbp' 'dddnq,bbq' 'dddnq,bq' 'dddnq,dp,bbp' 'ddnq,bq' 'demri1' 'demri2' 'dnq,dbq'  \
)

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,Bo],[r,4],[r,B])." > ../qoq/4B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,4o],[r,B],[r,4])." > ../qoq/B4.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,5o],[r,T])." > ../qoq/T5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,T])." > ../qoq/5T.$f.dfg

#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,Bo],[r,B],[r,4o],[r,4])." > ../qoq/TB4.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,4o],[r,4],[r,T])." > ../qoq/B4T.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,T],[r,4o],[r,4])." > ../qoq/BT4.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,4o],[r,4],[r,Bo],[r,B])." > ../qoq/T4B.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,Bo],[r,B],[r,T])." > ../qoq/4BT.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,T],[r,Bo],[r,B])." > ../qoq/4TB.$f.dfg

#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,Bo],[r,B],[r,5o])." > ../qoq/TB5.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,5o],[r,T])." > ../qoq/B5T.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,T],[r,5o])." > ../qoq/BT5.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,5o],[r,Bo],[r,B])." > ../qoq/T5B.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,B],[r,T])." > ../qoq/5BT.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,T],[r,Bo],[r,B])." > ../qoq/5TB.$f.dfg

#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,Bo],[r,B],[r,5o])." > ../qoq/DB5.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,5o],[r,Do],[r,D])." > ../qoq/B5D.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,Do],[r,D],[r,5o])." > ../qoq/BD5.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,5o],[r,Bo],[r,B])." > ../qoq/D5B.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,B],[r,Do],[r,D])." > ../qoq/5BD.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Do],[r,D],[r,Bo],[r,B])." > ../qoq/5DB.$f.dfg

#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,Bo],[r,B],[r,4o],[r,4])." > ../qoq/DB4.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,4o],[r,4],[r,Do],[r,D])." > ../qoq/B4D.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,Do],[r,D],[r,4o],[r,4])." > ../qoq/BD4.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,4o],[r,4],[r,Bo],[r,B])." > ../qoq/D4B.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,Bo],[r,B],[r,Do],[r,D])." > ../qoq/4BD.$f.dfg
#cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,Do],[r,D],[r,Bo],[r,B])." > ../qoq/4DB.$f.dfg

end

