#!/bin/csh
setenv a "set_axiom([r,"
setenv b "])."
cd yoy; rm -f *.dfg
cd ../template

foreach f ( \
 '4' '4^2' '4^3' '5' 'T' 'aiml02_prop3iii' 'amai02' 'amai02b' 'bbp,dddd(q,dnp)' 'bp,dddnp,g' 'bp,ddnp,g' \
 'bq,dddddddnq' 'bq,dddddnq' 'ddddddnq,dp,bbp' 'dddddnq,bbbq' 'ddddnq,b(q,g)' 'ddddnq,bbp' 'ddddnq,bq' 'ddddnq,bq' 'dddnq,bq' \
 'ddddnq,dp,bbp' 'dddnq,bbq' 'dddnq,bq' 'dddnq,dp,bbp' 'ddnq,bq' 'demri1' 'demri2' 'dnq,dbq'  \
)

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,4o],[r,4],[r,Bo],[r,B])." > ../yoy/T4B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,Bo],[r,B],[r,4o],[r,4])." > ../yoy/TB4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,4o],[r,4],[r,T])." > ../yoy/B4T.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,T],[r,4o],[r,4])." > ../yoy/BT4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,T],[r,Bo],[r,B])." > ../yoy/4TB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,Bo],[r,B],[r,T])." > ../yoy/4BT.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,4o],[r,4],[r,Bo],[r,B])." > ../yoy/D4B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,Bo],[r,B],[r,4o],[r,4])." > ../yoy/DB4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,Do],[r,D],[r,4o],[r,4])." > ../yoy/BD4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,4o],[r,4],[r,Do],[r,D])." > ../yoy/B4D.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,Do],[r,D],[r,Bo],[r,B])." > ../yoy/4DB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,Bo],[r,B],[r,Do],[r,D])." > ../yoy/4BD.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,Bo],[r,B],[r,5o])." > ../yoy/TB5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,5o],[r,Bo],[r,B])." > ../yoy/T5B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,B],[r,T])." > ../yoy/5BT.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,T],[r,Bo],[r,B])." > ../yoy/5TB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,T],[r,5o])." > ../yoy/BT5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,5o],[r,T])." > ../yoy/B5T.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,4o],[r,4],[r,Bo],[r,B],[r,5o])." > ../yoy/T4B5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,4o],[r,4],[r,5o],[r,Bo],[r,B])." > ../yoy/T45B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,5o],[r,Bo],[r,B],[r,4o],[r,4])." > ../yoy/T5B4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,5o],[r,4o],[r,4],[r,Bo],[r,B])." > ../yoy/T54B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,Bo],[r,B],[r,4o],[r,4],[r,5o])." > ../yoy/TB45.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,Bo],[r,B],[r,5o],[r,4o],[r,4])." > ../yoy/TB54.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,T],[r,Bo],[r,B],[r,5o])." > ../yoy/4TB5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,T],[r,5o],[r,Bo],[r,B])." > ../yoy/4T5B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,5o],[r,Bo],[r,B],[r,T])." > ../yoy/45BT.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,5o],[r,T],[r,Bo],[r,B])." > ../yoy/45TB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,Bo],[r,B],[r,T],[r,5o])." > ../yoy/4BT5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,Bo],[r,B],[r,5o],[r,T])." > ../yoy/4B5T.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,4o],[r,4],[r,T],[r,5o])." > ../yoy/B4T5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,4o],[r,4],[r,5o],[r,T])." > ../yoy/B45T.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,5o],[r,T],[r,4o],[r,4])." > ../yoy/B5T4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,5o],[r,4o],[r,4],[r,T])." > ../yoy/B54T.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,T],[r,4o],[r,4],[r,5o])." > ../yoy/BT45.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,T],[r,5o],[r,4o],[r,4])." > ../yoy/BT54.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,4o],[r,4],[r,Bo],[r,B],[r,T])." > ../yoy/54BT.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,4o],[r,4],[r,T],[r,Bo],[r,B])." > ../yoy/54TB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,T],[r,Bo],[r,B],[r,4o],[r,4])." > ../yoy/5TB4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,T],[r,4o],[r,4],[r,Bo],[r,B])." > ../yoy/5T4B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,B],[r,4o],[r,4],[r,T])." > ../yoy/5B4T.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,B],[r,T],[r,4o],[r,4])." > ../yoy/5BT4.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,4o],[r,4],[r,5o])." > ../yoy/T45.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,T],[r,5o],[r,4o],[r,4])." > ../yoy/T54.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,T],[r,5o])." > ../yoy/4T5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,5o],[r,T])." > ../yoy/45T.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,T],[r,4o],[r,4])." > ../yoy/5T4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,4o],[r,4],[r,T])." > ../yoy/54T.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,4o],[r,4],[r,Bo],[r,B],[r,5o])." > ../yoy/D4B5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,4o],[r,4],[r,5o],[r,Bo],[r,B])." > ../yoy/D45B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,5o],[r,B],[r,Bo],[r,4o],[r,4])." > ../yoy/D5B4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,5o],[r,4o],[r,4],[r,Bo],[r,B])." > ../yoy/D54B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,Bo],[r,B],[r,4o],[r,4],[r,5o])." > ../yoy/DB45.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,Bo],[r,B],[r,5o],[r,4o],[r,4])." > ../yoy/DB54.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,Do],[r,D],[r,Bo],[r,B],[r,5o])." > ../yoy/4DB5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,Do],[r,D],[r,5o],[r,Bo],[r,B])." > ../yoy/4D5B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,5o],[r,Bo],[r,B],[r,Do],[r,D])." > ../yoy/45BD.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,5o],[r,Do],[r,D],[r,Bo],[r,B])." > ../yoy/45DB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,Bo],[r,B],[r,Do],[r,D],[r,5o])." > ../yoy/4BD5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,4],[r,Bo],[r,B],[r,5o],[r,Do],[r,D])." > ../yoy/4B5D.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,4o],[r,4],[r,Do],[r,D],[r,5o])." > ../yoy/B4D5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,4o],[r,4],[r,5o],[r,Do],[r,D])." > ../yoy/B45D.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,5o],[r,Do],[r,D],[r,4o],[r,4])." > ../yoy/B5D4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,5o],[r,4o],[r,4],[r,Do],[r,D])." > ../yoy/B54D.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,Do],[r,D],[r,4o],[r,4],[r,5o])." > ../yoy/BD45.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,Do],[r,D],[r,5o],[r,4o],[r,4])." > ../yoy/BD54.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,4o],[r,4],[r,Bo],[r,B],[r,Do],[r,D])." > ../yoy/54BD.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,4o],[r,4],[r,Do],[r,D],[r,Bo],[r,B])." > ../yoy/54DB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Do],[r,D],[r,Bo],[r,B],[r,4o],[r,4])." > ../yoy/5DB4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Do],[r,D],[r,4o],[r,4],[r,Bo],[r,B])." > ../yoy/5D4B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,B],[r,4o],[r,4],[r,Do],[r,D])." > ../yoy/5B4D.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,B],[r,Do],[r,D],[r,4o],[r,4])." > ../yoy/5BD4.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,5o],[r,Bo],[r,B])." > ../yoy/D5B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,D],[r,Bo],[r,B],[r,5o])." > ../yoy/DB5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Do],[r,D],[r,Bo],[r,B])." > ../yoy/5DB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,B],[r,Do],[r,D])." > ../yoy/5BD.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,5o],[r,Do],[r,D])." > ../yoy/B5D.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,B],[r,Do],[r,D],[r,5o])." > ../yoy/BD5.$f.dfg

end

exit
---------------
'Tc4cBc' 'T4B' 'To4oB' 'ToBo4' 'Bo4oT' 'BoTo4' '4oToB' '4oBoT' 'T4oB' 'TBo4' '4oBoT' '4oTB' 'Bo4oT' 'BoT4' \
'Dc4cBc' 'D4B' 'Do4oB' 'DoBo4' 'BoDo4' 'Bo4oD' '4oDoB' '4oBoD' \
'T5' 'Tc5c' '5T' \
'TcBc5c' 'TB5' 'ToBo5' 'To5oB' '5oBoT' '5oToB' 'BoTo5' 'Bo5oT' \
'Tc4cBc5c' 'T4B5' 'T4oBo5' 'T4o5oB' 'T5oBo4' 'T5o4oB' 'TBo4o5' 'TBo5o4' '4oTBo5' '4oT5oB' '4o5oBoT' '4o5oTB' '4oBoT5' '4oBo5oT' \
'Bo4oT5' 'Bo4o5oT' 'Bo5oT4' 'Bo5o4oT' 'BoT4o5' 'BoT5o4' '5o4oBoT' '5o4oTB' '5oTBo4' '5oT4oB' '5oBo4oT' '5oBoT4' \
'Tc4c5c' 'T45' 'To4o5' 'To5o4' '4oTo5' '4o5oT' '5oTo4' '5o4oT' \
'Dc4cBc5' 'D4B5' 'Do4oBo5' 'Do4o5oB' 'Do5oBo4' 'Do5o4oB' 'DoBo4o5' 'DoBo5o4' '4oDoBo5' '4oDo5oB' '4o5oBoD' '4o5oDoB' '4oBoDo5' '4oBo5oD' \
'Bo4oDo5' 'Bo4o5oD' 'Bo5oDo4' 'Bo5o4oD' 'BoDo4o5' 'BoDo5o4' '5o4oBoD' '5o4oDoB' '5oDoBo4' '5oDo4oB' '5oBo4oD' '5oBoDo4' \
'Dc5cBc' 'D5B' 'Do5oB' 'DoBo5' '5oDoB' '5oBoD' 'Bo5oD' 'BoDo5' \

