#!/bin/csh
setenv a "set_axiom([r,"
setenv b "])."
cd zoz; rm -f *.dfg
cd ../template

foreach f ( \
 '4' '4^2' '4^3' '5' 'T' 'aiml02_prop3iii' 'amai02' 'amai02b' 'bbp,dddd(q,dnp)' 'bp,dddnp,g' 'bp,ddnp,g' \
 'bq,dddddddnq' 'bq,dddddnq' 'ddddddnq,dp,bbp' 'dddddnq,bbbq' 'ddddnq,b(q,g)' 'ddddnq,bbp' 'ddddnq,bq' 'ddddnq,bq' 'dddnq,bq' \
 'ddddnq,dp,bbp' 'dddnq,bbq' 'dddnq,bq' 'dddnq,dp,bbp' 'ddnq,bq' 'demri1' 'demri2' 'dnq,dbq'  \
)

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,To],[r,4o],[r,Bo],[r,T],[r,4],[r,B])." > ../zoz/T4B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,To],[r,Bo],[r,4o],[r,T],[r,B],[r,4])." > ../zoz/TB4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,4o],[r,To],[r,B],[r,4],[r,T])." > ../zoz/B4T.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,To],[r,4o],[r,B],[r,T],[r,4])." > ../zoz/BT4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,To],[r,Bo],[r,4],[r,T],[r,B])." > ../zoz/4TB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,Bo],[r,To],[r,4],[r,B],[r,T])." > ../zoz/4BT.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,4o],[r,Bo],[r,D],[r,4],[r,B])." > ../zoz/D4B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,Bo],[r,4o],[r,D],[r,B],[r,4])." > ../zoz/DB4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,Do],[r,4o],[r,B],[r,D],[r,4])." > ../zoz/BD4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,4o],[r,Do],[r,B],[r,4],[r,D])." > ../zoz/B4D.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,Do],[r,Bo],[r,4],[r,D],[r,B])." > ../zoz/4DB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,Bo],[r,Do],[r,4],[r,B],[r,D])." > ../zoz/4BD.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,To],[r,Bo],[r,5o],[r,T],[r,B],[r,5])." > ../zoz/TB5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,To],[r,5o],[r,Bo],[r,T],[r,5],[r,B])." > ../zoz/T5B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,To],[r,5],[r,B],[r,T])." > ../zoz/5BT.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,To],[r,Bo],[r,5],[r,T],[r,B])." > ../zoz/5TB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,To],[r,5o],[r,B],[r,T],[r,5])." > ../zoz/BT5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,5o],[r,To],[r,B],[r,5],[r,T])." > ../zoz/B5T.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,To],[r,4o],[r,Bo],[r,5o],[r,T],[r,4],[r,B],[r,5])." > ../zoz/T4B5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,To],[r,4o],[r,5o],[r,Bo],[r,T],[r,4],[r,5],[r,B])." > ../zoz/T45B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,To],[r,5o],[r,Bo],[r,4o],[r,T],[r,5],[r,B],[r,4])." > ../zoz/T5B4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,To],[r,5o],[r,4o],[r,Bo],[r,T],[r,5],[r,4],[r,B])." > ../zoz/T54B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,To],[r,Bo],[r,4o],[r,5o],[r,T],[r,B],[r,4],[r,5])." > ../zoz/TB45.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,To],[r,Bo],[r,5o],[r,4o],[r,T],[r,B],[r,5],[r,4])." > ../zoz/TB54.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,To],[r,Bo],[r,5o],[r,4],[r,T],[r,B],[r,5])." > ../zoz/4TB5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,To],[r,5o],[r,Bo],[r,4],[r,T],[r,5],[r,B])." > ../zoz/4T5B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,5o],[r,Bo],[r,To],[r,4],[r,5],[r,B],[r,T])." > ../zoz/45BT.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,5o],[r,To],[r,Bo],[r,4],[r,5],[r,T],[r,B])." > ../zoz/45TB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,Bo],[r,To],[r,5o],[r,4],[r,B],[r,T],[r,5])." > ../zoz/4BT5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,Bo],[r,5o],[r,To],[r,4],[r,B],[r,5],[r,T])." > ../zoz/4B5T.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,4o],[r,To],[r,5o],[r,B],[r,4],[r,T],[r,5])." > ../zoz/B4T5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,4o],[r,5o],[r,To],[r,B],[r,4],[r,5],[r,T])." > ../zoz/B45T.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,5o],[r,To],[r,4o],[r,B],[r,5],[r,T],[r,4])." > ../zoz/B5T4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,5o],[r,4o],[r,To],[r,B],[r,5],[r,4],[r,T])." > ../zoz/B54T.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,To],[r,4o],[r,5o],[r,B],[r,T],[r,4],[r,5])." > ../zoz/BT45.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,To],[r,5o],[r,4o],[r,B],[r,T],[r,5],[r,4])." > ../zoz/BT54.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,4o],[r,Bo],[r,To],[r,5],[r,4],[r,B],[r,T])." > ../zoz/54BT.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,4o],[r,To],[r,Bo],[r,5],[r,4],[r,T],[r,B])." > ../zoz/54TB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,To],[r,Bo],[r,4o],[r,5],[r,T],[r,B],[r,4])." > ../zoz/5TB4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,To],[r,4o],[r,Bo],[r,5],[r,T],[r,4],[r,B])." > ../zoz/5T4B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,4o],[r,To],[r,5],[r,B],[r,4],[r,T])." > ../zoz/5B4T.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,To],[r,4o],[r,5],[r,B],[r,T],[r,4])." > ../zoz/5BT4.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,To],[r,4o],[r,5o],[r,T],[r,4],[r,5])." > ../zoz/T45.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,To],[r,5o],[r,4o],[r,T],[r,5],[r,4])." > ../zoz/T54.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,To],[r,5o],[r,4],[r,T],[r,5])." > ../zoz/4T5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,5o],[r,To],[r,4],[r,5],[r,T])." > ../zoz/45T.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,To],[r,4o],[r,5],[r,T],[r,4])." > ../zoz/5T4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,4o],[r,To],[r,5],[r,4],[r,T])." > ../zoz/54T.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,4o],[r,Bo],[r,5o],[r,D],[r,4],[r,B],[r,5])." > ../zoz/D4B5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,4o],[r,5o],[r,Bo],[r,D],[r,4],[r,5],[r,B])." > ../zoz/D45B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,5o],[r,Bo],[r,4o],[r,D],[r,5],[r,B],[r,4])." > ../zoz/D5B4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,5o],[r,4o],[r,Bo],[r,D],[r,5],[r,4],[r,B])." > ../zoz/D54B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,Bo],[r,4o],[r,5o],[r,D],[r,B],[r,4],[r,5])." > ../zoz/DB45.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,Bo],[r,5o],[r,4o],[r,D],[r,B],[r,5],[r,4])." > ../zoz/DB54.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,Do],[r,Bo],[r,5o],[r,4],[r,D],[r,B],[r,5])." > ../zoz/4DB5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,Do],[r,5o],[r,Bo],[r,4],[r,D],[r,5],[r,B])." > ../zoz/4D5B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,5o],[r,Bo],[r,Do],[r,4],[r,5],[r,B],[r,D])." > ../zoz/45BD.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,5o],[r,Do],[r,Bo],[r,4],[r,5],[r,D],[r,B])." > ../zoz/45DB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,Bo],[r,Do],[r,5o],[r,4],[r,B],[r,D],[r,5])." > ../zoz/4BD5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,Bo],[r,5o],[r,Do],[r,4],[r,B],[r,5],[r,D])." > ../zoz/4B5D.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,4o],[r,Do],[r,5o],[r,B],[r,4],[r,D],[r,5])." > ../zoz/B4D5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,4o],[r,5o],[r,Do],[r,B],[r,4],[r,5],[r,D])." > ../zoz/B45D.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,5o],[r,Do],[r,4o],[r,B],[r,5],[r,D],[r,4])." > ../zoz/B5D4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,5o],[r,4o],[r,Do],[r,B],[r,5],[r,4],[r,D])." > ../zoz/B54D.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,Do],[r,4o],[r,5o],[r,B],[r,D],[r,4],[r,5])." > ../zoz/BD45.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,Do],[r,5o],[r,4o],[r,B],[r,D],[r,5],[r,4])." > ../zoz/BD54.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,4o],[r,Bo],[r,Do],[r,5],[r,4],[r,B],[r,D])." > ../zoz/54BD.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,4o],[r,Do],[r,Bo],[r,5],[r,4],[r,D],[r,B])." > ../zoz/54DB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Do],[r,Bo],[r,4o],[r,5],[r,D],[r,B],[r,4])." > ../zoz/5DB4.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Do],[r,4o],[r,Bo],[r,5],[r,D],[r,4],[r,B])." > ../zoz/5D4B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,4o],[r,Do],[r,5],[r,B],[r,4],[r,D])." > ../zoz/5B4D.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,Do],[r,4o],[r,5],[r,B],[r,D],[r,4])." > ../zoz/5BD4.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,5o],[r,Bo],[r,D],[r,5],[r,B])." > ../zoz/D5B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Do],[r,Bo],[r,5o],[r,D],[r,B],[r,5])." > ../zoz/DB5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Do],[r,Bo],[r,5],[r,D],[r,B])." > ../zoz/5DB.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,Do],[r,5],[r,B],[r,D])." > ../zoz/5BD.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,5o],[r,Do],[r,B],[r,5],[r,D])." > ../zoz/B5D.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,Do],[r,5o],[r,B],[r,D],[r,5])." > ../zoz/BD5.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,4o],[r,Bo],[r,4],[r,B])." > ../zoz/4B.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,4o],[r,B],[r,4])." > ../zoz/B4.$f.dfg

cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,Bo],[r,5o],[r,B],[r,5])." > ../zoz/B5.$f.dfg
cat $f.dfg | sed 's:%set_flag(EMLAxiomLog4,1).:fffffff:g' | awk '{gsub(/fffffff/,sss);print}' sss="set_axiom([r,5o],[r,Bo],[r,5],[r,B])." > ../zoz/5B.$f.dfg

end
exit

